Package de.willuhn.jameica.hbci.gui.filter

# Interface AddressFilter

All Superinterfaces:
  `Filter<Address>`

public interface AddressFilter extends Filter<Address>
Mit diesem Filter koennen einzelne Adressen bei der Suche ausgefiltert werden. Das wird z.Bsp. genutzt, um bei Auslandsueberweisungen nur jene Adressen anzuzeigen, die eine IBAN besitzen.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final AddressFilter`
`ALL`
Adressfilter, der alle Adressen zulaesst.
`static final AddressFilter`
`FOREIGN`
Adressfilter, der nur Adressen zulaesst, die eine IBAN haben.
`static final AddressFilter`
`INLAND`
Adressfilter, der nur Adressen mit deutscher Bankverbindung zulaesst.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`accept(Address address)`
Prueft, ob das Objekt angezeigt werden soll oder nicht.

## Field Details

### ALL

static final AddressFilter ALL
Adressfilter, der alle Adressen zulaesst.

### INLAND

static final AddressFilter INLAND
Adressfilter, der nur Adressen mit deutscher Bankverbindung zulaesst.

### FOREIGN

static final AddressFilter FOREIGN
Adressfilter, der nur Adressen zulaesst, die eine IBAN haben.

## Method Details

### accept

boolean accept(Address address) throws RemoteException
Description copied from interface: `Filter`
Prueft, ob das Objekt angezeigt werden soll oder nicht.

Specified by:
  `accept` in interface `Filter<Address>`
Parameters:
  `address` - das zu pruefende Objekt.
Returns:
  true, wenn es ok ist und angezeigt werden soll. False, wenn es uebersprungen werden soll.
Throws:
  `RemoteException`
See Also:
  - `Filter.accept(java.lang.Object)`